> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Contact

> Create a new contact. Staff/Administrator only.



## OpenAPI

````yaml /api/openapi-cutmake.json post /contacts
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /contacts:
    post:
      tags:
        - Master Data
      summary: Add Contact
      description: Create a new contact. Staff/Administrator only.
      operationId: add_contact_contacts_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactInfoCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ContactInfoCreate:
      properties:
        clientId:
          type: string
          title: Clientid
        clientName:
          type: string
          title: Clientname
        companyName:
          type: string
          title: Companyname
        contact1:
          type: string
          title: Contact1
        contact2:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact2
      type: object
      required:
        - clientId
        - clientName
        - companyName
        - contact1
      title: ContactInfoCreate
      description: Schema for creating a contact info
    ContactInfoResponse:
      properties:
        id:
          type: string
          title: Id
        clientId:
          type: string
          title: Clientid
        clientName:
          type: string
          title: Clientname
        companyName:
          type: string
          title: Companyname
        contact1:
          type: string
          title: Contact1
        contact2:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact2
      type: object
      required:
        - id
        - clientId
        - clientName
        - companyName
        - contact1
      title: ContactInfoResponse
      description: Schema for contact info response - uses camelCase per API_STANDARDS
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````